Skip to content
Shortcut: /, ⌘K or Ctrl+K

Business profiles

View as Markdown

The business profile object

Attributes

  • idstringrequiredpattern^[1-9][0-9]{0,18}$

    Opaque Polymorfa resource ID. Keep this value as a string.

  • phoneNumberstring

    Phone number in international format.

  • bsuidstring

    Business-scoped user identifier (BSUID), scoped to the owning business portfolio.

  • usernamestring

    WhatsApp username when one is available.

  • addressstringrequired

    Specifies address for this native business profile.

  • emailstringrequired

    Email address associated with this resource.

  • descriptionstringrequired

    Human-readable description of this resource.

  • websitesarray of string (uri)requireditem formaturi

    Websites associated with this native business profile.

  • coverPhotoIdstringrequired

    Identifier of the business-profile cover photo.

  • categoriesarray of objectrequired

    Categories associated with this native business profile.

    Show 2 child fields
  • optionsobjectrequired

    Selectable options carried by this object.

  • hoursTimeZonestringrequired

    Specifies hours time zone for this native business profile.

  • hoursarray of objectrequired

    Hours associated with this native business profile.

    Show 4 child fields
  • encryptionstring

    How messages with this business are encrypted, as WhatsApp reports it. Omitted when the connection does not report it.

    end_to_end
    Messages are end-to-end encrypted.
    hybrid
    Some of the business's messaging uses a service that is not end-to-end encrypted, such as a hosting provider.
    not_end_to_end
    Messages with this business are not end-to-end encrypted.
The business profile object
{
  "id": "739182640518203",
  "phoneNumber": "string",
  "bsuid": "string",
  "username": "string",
  "address": "string",
  "email": "string",
  "description": "string",
  "websites": [
    "https://example.com"
  ],
  "coverPhotoId": "string",
  "categories": [
    {
      "id": "string",
      "name": "string"
    }
  ],
  "options": {},
  "hoursTimeZone": "string",
  "hours": [
    {
      "dayOfWeek": "string",
      "mode": "string",
      "openTime": "string",
      "closeTime": "string"
    }
  ],
  "encryption": "end_to_end"
}

Get profile

GET/messaging/{session}/profileMessaging APILinked Device API
Base URL
https://api.polymorfa.com
Required permission
profile:read

Path parameters

  • sessionstringrequired

    Identifier of the connected Polymorfa session.

Responses

  • 200Profile info
    • successbooleanrequired

      Whether the request succeeded.

      Allowed valuestrue
    • dataobjectrequired

      Structured data carried by this object.

      Show 5 child fields
    Show 3 headers
  • 400Bad request — request body or params failed validation
  • 401Missing or invalid authentication token
  • 403Authenticated but not permitted (missing scope or rule violation)
  • 404Resource not found
  • 500Internal server error
GET /messaging/{session}/profilecURL
Not available with the Test key. Use a team key or project token.
curl "https://api.polymorfa.com/messaging/<session>/profile" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Polymorfa-Version: 2026-09-22"
Response
{
  "success": true,
  "data": {
    "name": "string",
    "status": "string"
  }
}

Get business linked accounts

GET/messaging/{session}/business/linked-accountsMessaging APILinked Device API
Base URL
https://api.polymorfa.com
Required permission
business:read

Path parameters

  • sessionstringrequired

    Identifier of the connected Polymorfa session.

Responses

  • 200Live linked-account state
    • successbooleanrequired

      Whether the request succeeded.

      Allowed valuestrue
    • dataobjectrequired

      Structured data carried by this object.

      Show 4 child fields
    Show 3 headers
  • 400Bad request — request body or params failed validation
  • 401Missing or invalid authentication token
  • 403Authenticated but not permitted (missing scope or rule violation)
  • 404Resource not found
  • 500Internal server error
GET /messaging/{session}/business/linked-accountscURL
Not available with the Test key. Use a team key or project token.
curl "https://api.polymorfa.com/messaging/<session>/business/linked-accounts" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Polymorfa-Version: 2026-09-22"
Response
{
  "success": true,
  "data": {
    "facebookPage": {
      "hasActiveCTWAAd": true,
      "hasCreatedAd": true,
      "id": "string",
      "displayName": "string",
      "profilePictureUrl": "https://example.com",
      "showOnProfile": true,
      "whatsAppAsPageButton": true
    },
    "facebookBusiness": {
      "id": "string",
      "displayName": "string"
    },
    "instagramProfessional": {
      "handle": "string",
      "displayName": "string",
      "profilePictureUrl": "https://example.com",
      "showOnProfile": true
    },
    "whatsAppAdIdentity": {
      "hasActiveCTWAAd": true,
      "hasCreatedAd": true,
      "id": "string"
    }
  }
}

Get business eligibility

GET/messaging/{session}/business/eligibilityMessaging APILinked Device API
Base URL
https://api.polymorfa.com
Required permission
business:read

Path parameters

  • sessionstringrequired

    Identifier of the connected Polymorfa session.

Responses

  • 200Live business feature eligibility
    • successbooleanrequired

      Whether the request succeeded.

      Allowed valuestrue
    • dataobjectrequired

      Structured data carried by this object.

      Show 1 child field
    Show 3 headers
  • 400Bad request — request body or params failed validation
  • 401Missing or invalid authentication token
  • 403Authenticated but not permitted (missing scope or rule violation)
  • 404Resource not found
  • 500Internal server error
GET /messaging/{session}/business/eligibilitycURL
Not available with the Test key. Use a team key or project token.
curl "https://api.polymorfa.com/messaging/<session>/business/eligibility" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Polymorfa-Version: 2026-09-22"
Response
{
  "success": true,
  "data": {
    "features": [
      {
        "feature": "meta_verified",
        "status": "string"
      }
    ]
  }
}

Get own business profile

GET/messaging/{session}/business/profileMessaging APILinked Device API
Base URL
https://api.polymorfa.com
Required permission
profile:read

Path parameters

  • sessionstringrequired

    Identifier of the connected Polymorfa session.

Responses

  • 200Live business profile
    • successbooleanrequired

      Whether the request succeeded.

      Allowed valuestrue
    • dataobjectrequired

      Structured data carried by this object.

      Show 14 child fields
    Show 3 headers
  • 400Bad request — request body or params failed validation
  • 401Missing or invalid authentication token
  • 403Authenticated but not permitted (missing scope or rule violation)
  • 404Resource not found
  • 500Internal server error
GET /messaging/{session}/business/profilecURL
Not available with the Test key. Use a team key or project token.
curl "https://api.polymorfa.com/messaging/<session>/business/profile" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Polymorfa-Version: 2026-09-22"
Response
{
  "success": true,
  "data": {
    "id": "739182640518203",
    "address": "string",
    "email": "string",
    "description": "string",
    "websites": [
      "https://example.com"
    ],
    "coverPhotoId": "string",
    "categories": [
      {
        "id": "string",
        "name": "string"
      }
    ],
    "options": {},
    "hoursTimeZone": "string",
    "hours": [
      {
        "dayOfWeek": "string",
        "mode": "string",
        "openTime": "string",
        "closeTime": "string"
      }
    ]
  }
}

Get business merchant compliance

GET/messaging/{session}/business/complianceMessaging APILinked Device API
Base URL
https://api.polymorfa.com
Required permission
profile:read

Path parameters

  • sessionstringrequired

    Identifier of the connected Polymorfa session.

Responses

  • 200Live merchant compliance details
    • successbooleanrequired

      Whether the request succeeded.

      Allowed valuestrue
    • dataobjectrequired

      Structured data carried by this object.

      Show 6 child fields
    Show 3 headers
  • 400Bad request — request body or params failed validation
  • 401Missing or invalid authentication token
  • 403Authenticated but not permitted (missing scope or rule violation)
  • 404Resource not found
  • 500Internal server error
GET /messaging/{session}/business/compliancecURL
Not available with the Test key. Use a team key or project token.
curl "https://api.polymorfa.com/messaging/<session>/business/compliance" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Polymorfa-Version: 2026-09-22"
Response
{
  "success": true,
  "data": {
    "entityName": "string",
    "entityType": "SOLE_PROPRIETORSHIP",
    "isRegistered": true,
    "entityTypeCustom": "string",
    "customerCare": {
      "email": "string",
      "landlineNumber": "string",
      "mobileNumber": "string"
    },
    "grievanceOfficer": {
      "email": "string",
      "landlineNumber": "string",
      "mobileNumber": "string",
      "name": "string"
    }
  }
}

Update linked business profile

PATCH/messaging/{session}/business/profileMessaging APILinked Device API
Base URL
https://api.polymorfa.com
Required permission
profile:write

Path parameters

  • sessionstringrequired

    Identifier of the connected Polymorfa session.

Body

  • addressstringmax length512

    Specifies address for this native business profile update request.

  • emailstring or string (email)

    Email address associated with this resource.

    Accepts one of
    • string, ""

    • string (email), max length 320, format email

  • descriptionstringmax length1024

    Human-readable description of this resource.

  • websitesarray of string (uri)items1–2item max length2048item formaturi

    Websites associated with this native business profile update request.

  • hoursobject

    Structured hours values for this native business profile update request.

    Show 2 child fields

Responses

  • 200Profile updated
    • successbooleanrequired

      Whether the request succeeded.

      Allowed valuestrue
    • dataobjectrequired

      Structured data carried by this object.

      Show 1 child field
    Show 3 headers
  • 400Bad request — request body or params failed validation
  • 401Missing or invalid authentication token
  • 403Authenticated but not permitted (missing scope or rule violation)
  • 404Resource not found
  • 500Internal server error
PATCH /messaging/{session}/business/profilecURL
Not available with the Test key. Use a team key or project token.
curl -X PATCH "https://api.polymorfa.com/messaging/<session>/business/profile" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Polymorfa-Version: 2026-09-22" \
  -H "Content-Type: application/json" \
  -d '{
  "address": "string",
  "email": "",
  "description": "string",
  "websites": [
    "https://example.com"
  ],
  "hours": {
    "timeZone": "string",
    "days": [
      {
        "dayOfWeek": "sun",
        "mode": "specific_hours"
      }
    ]
  }
}'
Response
{
  "success": true,
  "data": {
    "status": "string"
  }
}

Set profile name

PUT/messaging/{session}/profile/nameMessaging APILinked Device API
Base URL
https://api.polymorfa.com
Required permission
profile:write

Path parameters

  • sessionstringrequired

    Identifier of the connected Polymorfa session.

Body

  • namestringrequiredmin length1

    Human-readable name for this resource.

Responses

  • 200Name updated
    • successbooleanrequired

      Whether the request succeeded.

    • messagestring

      Human-readable message associated with this result.

    Show 3 headers
  • 400Bad request — request body or params failed validation
  • 401Missing or invalid authentication token
  • 403Authenticated but not permitted (missing scope or rule violation)
  • 404Resource not found
  • 500Internal server error
PUT /messaging/{session}/profile/namecURL
Not available with the Test key. Use a team key or project token.
curl -X PUT "https://api.polymorfa.com/messaging/<session>/profile/name" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Polymorfa-Version: 2026-09-22" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "string"
}'
Response
{
  "success": true
}

Set profile status

PUT/messaging/{session}/profile/statusMessaging APILinked Device API
Base URL
https://api.polymorfa.com
Required permission
profile:write

Path parameters

  • sessionstringrequired

    Identifier of the connected Polymorfa session.

Body

  • statusstringrequired

    Profile About text to publish for the connected account.

Responses

  • 200Status updated
    • successbooleanrequired

      Whether the request succeeded.

    • messagestring

      Human-readable message associated with this result.

    Show 3 headers
  • 400Bad request — request body or params failed validation
  • 401Missing or invalid authentication token
  • 403Authenticated but not permitted (missing scope or rule violation)
  • 404Resource not found
  • 500Internal server error
PUT /messaging/{session}/profile/statuscURL
Not available with the Test key. Use a team key or project token.
curl -X PUT "https://api.polymorfa.com/messaging/<session>/profile/status" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Polymorfa-Version: 2026-09-22" \
  -H "Content-Type: application/json" \
  -d '{
  "status": "string"
}'
Response
{
  "success": true
}

Set profile picture

PUT/messaging/{session}/profile/pictureMessaging APILinked Device API
Base URL
https://api.polymorfa.com
Required permission
profile:write

Path parameters

  • sessionstringrequired

    Identifier of the connected Polymorfa session.

Body

  • urlstring

    URL associated with this resource.

  • base64string

    Base64-encoded content with no data-URL prefix.

Responses

  • 200Picture updated
    • successbooleanrequired

      Whether the request succeeded.

    • messagestring

      Human-readable message associated with this result.

    Show 3 headers
  • 400Bad request — request body or params failed validation
  • 401Missing or invalid authentication token
  • 403Authenticated but not permitted (missing scope or rule violation)
  • 404Resource not found
  • 500Internal server error
PUT /messaging/{session}/profile/picturecURL
Not available with the Test key. Use a team key or project token.
curl -X PUT "https://api.polymorfa.com/messaging/<session>/profile/picture" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Polymorfa-Version: 2026-09-22" \
  -H "Content-Type: application/json" \
  -d '{
  "url": "string",
  "base64": "string"
}'
Response
{
  "success": true
}

Set business cover photo

PUT/messaging/{session}/business/profile/cover-photoMessaging APILinked Device API
Base URL
https://api.polymorfa.com
Required permission
profile:write

Path parameters

  • sessionstringrequired

    Identifier of the connected Polymorfa session.

Body

  • urlstring (uri)max length2048

    URL associated with this resource.

  • base64stringlength1–6990508

    Base64-encoded content with no data-URL prefix.

Responses

  • 200Cover photo set
    • successbooleanrequired

      Whether the request succeeded.

      Allowed valuestrue
    • dataobjectrequired

      Structured data carried by this object.

      Show 1 child field
    Show 3 headers
  • 400Bad request — request body or params failed validation
  • 401Missing or invalid authentication token
  • 403Authenticated but not permitted (missing scope or rule violation)
  • 404Resource not found
  • 500Internal server error
PUT /messaging/{session}/business/profile/cover-photocURL
Not available with the Test key. Use a team key or project token.
curl -X PUT "https://api.polymorfa.com/messaging/<session>/business/profile/cover-photo" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Polymorfa-Version: 2026-09-22" \
  -H "Content-Type: application/json" \
  -d '{
  "url": "https://example.com",
  "base64": "string"
}'
Response
{
  "success": true,
  "data": {
    "coverPhotoId": "string"
  }
}

Set business merchant compliance

PUT/messaging/{session}/business/complianceMessaging APILinked Device API
Base URL
https://api.polymorfa.com
Required permission
profile:write

Path parameters

  • sessionstringrequired

    Identifier of the connected Polymorfa session.

Body

  • entityNamestringrequiredmax length256

    Human-readable entity name for this native business merchant compliance.

  • entityTypestringrequired

    Category assigned to entity.

    Allowed valuesSOLE_PROPRIETORSHIPPARTNERSHIPPRIVATE_COMPANYPUBLIC_COMPANYLIMITED_LIABILITY_PARTNERSHIPOTHER
  • isRegisteredbooleanrequired

    Whether registered.

  • entityTypeCustomstringrequiredmax length256

    Specifies entity type custom for this native business merchant compliance.

  • customerCareobjectrequired

    Structured customer care values for this native business merchant compliance.

    Show 3 child fields
  • grievanceOfficerobjectrequired

    Structured grievance officer values for this native business merchant compliance.

    Show 4 child fields

Responses

  • 200Merchant compliance details updated
    • successbooleanrequired

      Whether the request succeeded.

      Allowed valuestrue
    • dataobjectrequired

      Structured data carried by this object.

      Show 6 child fields
    Show 3 headers
  • 400Bad request — request body or params failed validation
  • 401Missing or invalid authentication token
  • 403Authenticated but not permitted (missing scope or rule violation)
  • 404Resource not found
  • 500Internal server error
PUT /messaging/{session}/business/compliancecURL
Not available with the Test key. Use a team key or project token.
curl -X PUT "https://api.polymorfa.com/messaging/<session>/business/compliance" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Polymorfa-Version: 2026-09-22" \
  -H "Content-Type: application/json" \
  -d '{
  "entityName": "string",
  "entityType": "SOLE_PROPRIETORSHIP",
  "isRegistered": true,
  "entityTypeCustom": "string",
  "customerCare": {
    "email": "string",
    "landlineNumber": "string",
    "mobileNumber": "string"
  },
  "grievanceOfficer": {
    "email": "string",
    "landlineNumber": "string",
    "mobileNumber": "string",
    "name": "string"
  }
}'
Response
{
  "success": true,
  "data": {
    "entityName": "string",
    "entityType": "SOLE_PROPRIETORSHIP",
    "isRegistered": true,
    "entityTypeCustom": "string",
    "customerCare": {
      "email": "string",
      "landlineNumber": "string",
      "mobileNumber": "string"
    },
    "grievanceOfficer": {
      "email": "string",
      "landlineNumber": "string",
      "mobileNumber": "string",
      "name": "string"
    }
  }
}

Delete profile picture

DELETE/messaging/{session}/profile/pictureMessaging APILinked Device API
Base URL
https://api.polymorfa.com
Required permission
profile:write

Path parameters

  • sessionstringrequired

    Identifier of the connected Polymorfa session.

Responses

  • 200Picture deleted
    • successbooleanrequired

      Whether the request succeeded.

    • messagestring

      Human-readable message associated with this result.

    Show 3 headers
  • 400Bad request — request body or params failed validation
  • 401Missing or invalid authentication token
  • 403Authenticated but not permitted (missing scope or rule violation)
  • 404Resource not found
  • 500Internal server error
DELETE /messaging/{session}/profile/picturecURL
Not available with the Test key. Use a team key or project token.
curl -X DELETE "https://api.polymorfa.com/messaging/<session>/profile/picture" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Polymorfa-Version: 2026-09-22"
Response
{
  "success": true
}

Delete business cover photo

DELETE/messaging/{session}/business/profile/cover-photo/{coverPhotoId}Messaging APILinked Device API
Base URL
https://api.polymorfa.com
Required permission
profile:write

Path parameters

  • sessionstringrequired

    Identifier of the connected Polymorfa session.

  • coverPhotoIdstringrequiredlength1–256

    Identifier of the business-profile cover photo.

Responses

  • 200Cover photo removed
    • successbooleanrequired

      Whether the request succeeded.

      Allowed valuestrue
    • dataobjectrequired

      Structured data carried by this object.

      Show 1 child field
    Show 3 headers
  • 400Bad request — request body or params failed validation
  • 401Missing or invalid authentication token
  • 403Authenticated but not permitted (missing scope or rule violation)
  • 404Resource not found
  • 500Internal server error
DELETE /messaging/{session}/business/profile/cover-photo/{coverPhotoId}cURL
Not available with the Test key. Use a team key or project token.
curl -X DELETE "https://api.polymorfa.com/messaging/<session>/business/profile/cover-photo/<coverPhotoId>" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Polymorfa-Version: 2026-09-22"
Response
{
  "success": true,
  "data": {
    "status": "string"
  }
}